Skip to content

Get Payout

GET
/api/Payouts/{id}
curl --request GET \
--url https://example.com/api/Payouts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Returns full detail for a single payout batch.

id
required
string format: uuid

The payout’s unique identifier.

Payout detail.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
batchId
string
nullable
date
string format: date-time
estimatedArrival
string format: date-time
nullable
transactionCount
integer format: int32
gross
number format: double
fees
number format: double
net
number format: double
currency
string
nullable
status
string
Allowed values: Pending Processing Settled Failed
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"status": "Pending"
}

No payout with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}